> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an inter-warehouse Transfer.



## OpenAPI

````yaml /openapi.json put /api/v1/Transfers
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Transfers:
    put:
      tags:
        - Transfers
      summary: Create an inter-warehouse Transfer.
      requestBody:
        description: The Transfer to create
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransferCreateRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferServiceResult'
components:
  schemas:
    TransferCreateRequest:
      required:
        - fromWarehouseCode
        - supplierId
        - supplierReferenceNumber
        - toWarehouseCode
      type: object
      properties:
        supplierId:
          minLength: 2
          type: string
          description: SupplierId is the unique ID for the owner of items in the system
        fromWarehouseCode:
          minLength: 1
          type: string
          description: "The warehouse (Code)  \r\n            \r\n    \"GLW\" - Glenwillow,\r\n    \"WDI\" - Green Island,\r\n    \"PSO\" - Paso Robles,\r\n    \"SMA\" - Santa Maria,\r\n    \"SHW\" - Willamette Valley\r\n    \"DAL\" - Dallas"
        toWarehouseCode:
          minLength: 1
          type: string
          description: "The warehouse (Code)  \r\n            \r\n    \"GLW\" - Glenwillow,\r\n    \"WDI\" - Green Island,\r\n    \"PSO\" - Paso Robles,\r\n    \"SMA\" - Santa Maria,\r\n    \"SHW\" - Willamette Valley\r\n    \"DAL\" - Dallas"
        supplierReferenceNumber:
          minLength: 1
          type: string
          description: The Supplier Transfer Reference Number.
        inventories:
          type: array
          items:
            $ref: '#/components/schemas/TransferCreateLineRequest'
          description: Inventory Items in the transfer
          nullable: true
      additionalProperties: false
      description: Defines a transfer to create
    TransferServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          $ref: '#/components/schemas/Transfer'
      additionalProperties: false
      description: Generic container for all service responses
    TransferCreateLineRequest:
      required:
        - fromSubInventoryCode
        - qtyTransferOut
        - sku
        - toSubInventoryCode
      type: object
      properties:
        toSubInventoryCode:
          minLength: 1
          type: string
          description: "The Sub Inventory this is going to.\r\n            \r\n  eg \"SHIP\" - PRIMARY"
        fromSubInventoryCode:
          minLength: 1
          type: string
          description: "The Sub Inventory this is coming from.\r\n            \r\n  eg \"SHIP\" - PRIMARY"
        qtyTransferOut:
          type: integer
          description: The quantity of the SKU to transfer
          format: int32
        sku:
          minLength: 1
          type: string
          description: The supplier's SKU
      additionalProperties: false
      description: Represents an inventory item to transfer
    Transfer:
      type: object
      properties:
        headerId:
          type: string
          description: The primary key of this transfer
          nullable: true
          example: '123'
        referenceNumber:
          type: string
          description: >-
            The WineDirect ReferenceNumber. This is used when querying for
            transfers
          nullable: true
        supplierReferenceNumber:
          type: string
          description: The supplier's defined reference number
          nullable: true
        fromWarehouseCode:
          type: string
          description: "The warehouse this transfer is coming from (Code)\r\n            \r\n\"GLW\" - Glenwillow,\r\n\"WDI\" - Green Island,\r\n\"PSO\" - Paso Robles,\r\n\"SMA\" - Santa Maria,\r\n\"SHW\" - Willamette Valley\r\n\"DAL\" - Dallas"
          nullable: true
          example: GLW, WDI, PSO, SMA, SHW
        fromWarehouseName:
          type: string
          description: The warehouse this transfer is coming from (Name)
          nullable: true
          example: >-
            Glenwillow, Green Island, Paso Robles, Santa Maria, Willamette
            Valley
        toWarehouseCode:
          type: string
          description: "The warehouse this transfer is going to\r\n            \r\n\"GLW\" - Glenwillow,\r\n\"WDI\" - Green Island,\r\n\"PSO\" - Paso Robles,\r\n\"SMA\" - Santa Maria,\r\n\"SHW\" - Willamette Valley\r\n\"DAL\" - Dallas"
          nullable: true
          example: GLW, WDI, PSO, SMA, SHW
        toWarehouseName:
          type: string
          description: The warehouse this transfer is going to
          nullable: true
          example: >-
            Glenwillow, Green Island, Paso Robles, Santa Maria, Willamette
            Valley
        statusCode:
          type: string
          description: The status of the Transfer (Code)
          nullable: true
        statusCodeName:
          type: string
          description: The status of the Transfer (Name)
          nullable: true
        supplierId:
          type: string
          description: SupplierId is the unique ID for the owner of items in the system
          nullable: true
        submittedDate:
          type: string
          description: When the Transfer entered SUBMITTED status
          format: date-time
          nullable: true
        closedDate:
          type: string
          description: When the Transfer entered the CLOSED status
          format: date-time
          nullable: true
        createdDate:
          type: string
          description: When this item was created
          format: date-time
          nullable: true
        updatedDate:
          type: string
          description: When this item was updated
          format: date-time
          nullable: true
        expectedDate:
          type: string
          description: When this item is expected
          format: date-time
          nullable: true
        inventories:
          type: array
          items:
            $ref: '#/components/schemas/TransferLine'
          description: The inventory this transfer is covering
          nullable: true
      additionalProperties: false
      description: >-
        A Transfer defines a request  to move inventory from one warehouse to
        another
    TransferLine:
      type: object
      properties:
        lineId:
          type: string
          description: The primary key of this entity
          nullable: true
        inventoryItemId:
          type: string
          description: The primary key of the inventory item
          nullable: true
        headerId:
          type: string
          description: The parent key of this entity
          nullable: true
        lineNumber:
          type: string
          description: The order of this entity
          nullable: true
        toSubInventoryCode:
          type: string
          description: The sub inventory where the item is going to (Code)
          nullable: true
        toSubInventoryName:
          type: string
          description: The sub inventory where the item is going to (Name)
          nullable: true
        fromSubInventoryCode:
          type: string
          description: The sub inventory where the item is coming from (Code)
          nullable: true
        fromSubInventoryName:
          type: string
          description: The sub inventory where the item is coming from (Name)
          nullable: true
        qtyTransferIn:
          type: integer
          description: The quantity of items that are being transferred IN
          format: int32
        qtyTransferOut:
          type: integer
          description: The quantity of items that are being transferred OUT
          format: int32
        qtyReceived:
          type: integer
          description: The Qty Received
          format: int32
        qtyShipped:
          type: integer
          description: The Qty Shipped
          format: int32
        sku:
          type: string
          description: The supplier's SKU
          nullable: true
        wineDirectSku:
          type: string
          description: WineDirect's SKU
          nullable: true
        description:
          type: string
          description: the description of the SKU
          nullable: true
        createdDate:
          type: string
          description: When this line was created
          format: date-time
          nullable: true
        updatedDate:
          type: string
          description: When this line was last updated
          format: date-time
          nullable: true
      additionalProperties: false
      description: An individual transfer line item
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````